VERSION 5.00
Begin VB.UserControl ScrambleProps 
   CanGetFocus     =   0   'False
   ClientHeight    =   225
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   240
   ClipBehavior    =   0  'None
   ClipControls    =   0   'False
   HasDC           =   0   'False
   HitBehavior     =   0  'None
   InvisibleAtRuntime=   -1  'True
   Picture         =   "ScrambleProps.ctx":0000
   ScaleHeight     =   225
   ScaleWidth      =   240
   ToolboxBitmap   =   "ScrambleProps.ctx":00FA
   Windowless      =   -1  'True
End
Attribute VB_Name = "ScrambleProps"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public URL As String
Attribute URL.VB_VarProcData = ";Secrets"
Public User As String
Attribute User.VB_VarProcData = ";Secrets"
Public PW As String
Attribute PW.VB_VarProcData = ";Secrets"

Private Sub UserControl_InitProperties()
    URL = "http://"
End Sub

Private Sub UserControl_Paint()
    With UserControl
        .Height = 225
        .Width = 240
    End With
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    With PropBag
        URL = Scramble(.ReadProperty("URL", "http://"))
        User = Scramble(.ReadProperty("User", ""))
        PW = Scramble(.ReadProperty("PW", ""))
    End With
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    With PropBag
        .WriteProperty "URL", Scramble(URL), ""
        .WriteProperty "User", Scramble(User), ""
        .WriteProperty "PW", Scramble(PW), ""
    End With
End Sub

Private Function Scramble(ByVal S As String) As String
    'Simple, low-tech symmetric ANSI text scramble.
    Dim Bytes() As Byte
    Dim I As Integer
    
    If Len(S) < 1 Then
        Scramble = S
    Else
        Bytes = StrConv(StrReverse(S), vbFromUnicode)
        For I = 0 To UBound(Bytes)
            Bytes(I) = &H9F - Bytes(I)
        Next
        Scramble = StrConv(Bytes, vbUnicode)
    End If
End Function

